## ros-humble-ros2bag 0.15.7

=== debian/changelog ===
ros-humble-ros2bag (0.15.7-1jammy) jammy; urgency=high

  * [humble] When using sim time, wait for /clock before beginning recording (backport #1378 <https://github.com/ros2/rosbag2/issues/1378>) (#1392 <https://github.com/ros2/rosbag2/issues/1392>)
  * Contributors: Michael Orlov, mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 18 Jul 2023 00:00:00 -0000

ros-humble-ros2bag (0.15.6-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 05 Jun 2023 00:00:00 -0000

ros-humble-ros2bag (0.15.5-1jammy) jammy; urgency=high

  * Enable document generation using rosdoc2 for ament_python pkgs (#1260 <https://github.com/ros2/rosbag2/issues/1260>) (#1261 <https://github.com/ros2/rosbag2/issues/1261>)
  * Add Michael Orlov as maintainer in rosbag2 packages (#1215 <https://github.com/ros2/rosbag2/issues/1215>) (#1224 <https://github.com/ros2/rosbag2/issues/1224>)
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 25 Apr 2023 00:00:00 -0000

ros-humble-ros2bag (0.15.4-1jammy) jammy; urgency=high

  * ros2bag: move storage preset validation to sqlite3 plugin (#1135 <https://github.com/ros2/rosbag2/issues/1135>) (#1184 <https://github.com/ros2/rosbag2/issues/1184>)
  * Contributors: Daisuke Nishimatsu

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 10 Jan 2023 00:00:00 -0000

ros-humble-ros2bag (0.15.3-1jammy) jammy; urgency=high

  * Fix for ros2 bag play exit with non-zero code on SIGINT (#1126 <https://github.com/ros2/rosbag2/issues/1126>) (#1147 <https://github.com/ros2/rosbag2/issues/1147>)
  * Readers/info can accept a single bag storage file, and detect its storage id automatically (#1072 <https://github.com/ros2/rosbag2/issues/1072>) (#1077 <https://github.com/ros2/rosbag2/issues/1077>)
  * Revert "[humble] Backport. Added support for filtering topics via regular expressions (#1034 <https://github.com/ros2/rosbag2/issues/1034>)- (#1039 <https://github.com/ros2/rosbag2/issues/1039>)" (#1069 <https://github.com/ros2/rosbag2/issues/1069>)
  * [humble] Backport. Added support for filtering topics via regular expressions (#1034 <https://github.com/ros2/rosbag2/issues/1034>)- (#1039 <https://github.com/ros2/rosbag2/issues/1039>)
  * Backport. Add use_sim_time option to record verb (#1017 <https://github.com/ros2/rosbag2/issues/1017>)
  * Make unpublished topics unrecorded by default (#968 <https://github.com/ros2/rosbag2/issues/968>) (#1008 <https://github.com/ros2/rosbag2/issues/1008>)
  * Contributors: Esteve Fernandez, Keisuke Shima, Sean Kelly, mergify[bot]

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 07 Nov 2022 00:00:00 -0000

ros-humble-ros2bag (0.15.2-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 11 May 2022 00:00:00 -0000

ros-humble-ros2bag (0.15.1-1jammy) jammy; urgency=high

  * support to publish as loaned message (#981 <https://github.com/ros2/rosbag2/issues/981>)
  * Revert "Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)" (#984 <https://github.com/ros2/rosbag2/issues/984>)
  * Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)
  * Contributors: Audrow Nash, Barry Xu, Jorge Perez, Tony Peng

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 06 Apr 2022 00:00:00 -0000

ros-humble-ros2bag (0.15.0-1jammy) jammy; urgency=high

  * support to publish as loaned message (#981 <https://github.com/ros2/rosbag2/issues/981>)
  * Revert "Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)" (#984 <https://github.com/ros2/rosbag2/issues/984>)
  * Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)
  * Contributors: Barry Xu, Jorge Perez, Tony Peng

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 05 Apr 2022 00:00:00 -0000

ros-humble-ros2bag (0.14.1-1jammy) jammy; urgency=high

  * Bump version number to avoid conflict
  * Contributors: Chris Lalancette

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 29 Mar 2022 00:00:00 -0000

ros-humble-ros2bag (0.14.0-1jammy) jammy; urgency=high

  * Make sure published messages are acknowledged for play mode (#951 <https://github.com/ros2/rosbag2/issues/951>)
  * Contributors: Barry Xu

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 29 Mar 2022 00:00:00 -0000

ros-humble-ros2bag (0.13.0-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 13 Jan 2022 00:00:00 -0000

ros-humble-ros2bag (0.12.0-1jammy) jammy; urgency=high

  * TopicFilter use regex_search instead of regex_match (#932 <https://github.com/ros2/rosbag2/issues/932>)
  * Add start-offset play option (#931 <https://github.com/ros2/rosbag2/issues/931>)
  * Expose bag_rewrite as ros2 bag convert (#921 <https://github.com/ros2/rosbag2/issues/921>)
  * Add "ignore leaf topics" option to recorder (#925 <https://github.com/ros2/rosbag2/issues/925>)
  * Auto-detect storage_id for Reader (if possible) (#918 <https://github.com/ros2/rosbag2/issues/918>)
  * Add pause/resume options to the bag recorder (#905 <https://github.com/ros2/rosbag2/issues/905>)
  * Contributors: Abrar Rahman Protyasha, Emerson Knapp, Ivan Santiago Paunovic

 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 17 Dec 2021 00:00:00 -0000

ros-humble-ros2bag (0.11.0-1jammy) jammy; urgency=high

  * Add --start-paused option to ros2 bag play (#904 <https://github.com/ros2/rosbag2/issues/904>)
  * Update package maintainers (#899 <https://github.com/ros2/rosbag2/issues/899>)
  * Fix converter plugin choices for record (#897 <https://github.com/ros2/rosbag2/issues/897>)
  * Contributors: Emerson Knapp, Ivan Santiago Paunovic, Michel Hidalgo

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 08 Nov 2021 00:00:00 -0000


