## ros-humble-ros2bag 0.15.12

=== debian/changelog ===
ros-humble-ros2bag (0.15.12-1bookworm) bookworm; urgency=high

  * [humble] Add option to prevent message loss while converting (backport #1058 <https://github.com/ros2/rosbag2/issues/1058>) (#1749 <https://github.com/ros2/rosbag2/issues/1749>)
  * [humble] rosbag2_cpp: test more than one storage plugin (backport #1196 <https://github.com/ros2/rosbag2/issues/1196>) (#1721 <https://github.com/ros2/rosbag2/issues/1721>)
  * [humble] rosbag2_storage: expose default storage ID as method (backport #1146 <https://github.com/ros2/rosbag2/issues/1146>) (#1724 <https://github.com/ros2/rosbag2/issues/1724>)
  * [humble] Allow to specify start offset from CLI arguments equal to 0.0 for the rosbag2 player (backport #1682 <https://github.com/ros2/rosbag2/issues/1682>) (#1715 <https://github.com/ros2/rosbag2/issues/1715>)
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Sat, 27 Jul 2024 16:00:00 -0000

ros-humble-ros2bag (0.15.11-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Sun, 19 May 2024 16:00:00 -0000

ros-humble-ros2bag (0.15.10-1bookworm) bookworm; urgency=high

  * [humble] Add --log-level to ros2 bag play and record (#1655 <https://github.com/ros2/rosbag2/issues/1655>)
  * [Humble] Resolve recording option problem (backport #1649 <https://github.com/ros2/rosbag2/issues/1649>) (#1651 <https://github.com/ros2/rosbag2/issues/1651>)
  * Contributors: Roman, mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 16 May 2024 16:00:00 -0000

ros-humble-ros2bag (0.15.9-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-ros2bag (0.15.8-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 18 Sep 2023 16:00:00 -0000

ros-humble-ros2bag (0.15.7-1bookworm) bookworm; urgency=high

  * [humble] When using sim time, wait for /clock before beginning recording (backport #1378 <https://github.com/ros2/rosbag2/issues/1378>) (#1392 <https://github.com/ros2/rosbag2/issues/1392>)
  * Contributors: Michael Orlov, mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 17 Jul 2023 16:00:00 -0000

ros-humble-ros2bag (0.15.6-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Sun, 04 Jun 2023 16:00:00 -0000

ros-humble-ros2bag (0.15.5-1bookworm) bookworm; urgency=high

  * Enable document generation using rosdoc2 for ament_python pkgs (#1260 <https://github.com/ros2/rosbag2/issues/1260>) (#1261 <https://github.com/ros2/rosbag2/issues/1261>)
  * Add Michael Orlov as maintainer in rosbag2 packages (#1215 <https://github.com/ros2/rosbag2/issues/1215>) (#1224 <https://github.com/ros2/rosbag2/issues/1224>)
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 24 Apr 2023 16:00:00 -0000

ros-humble-ros2bag (0.15.4-1bookworm) bookworm; urgency=high

  * ros2bag: move storage preset validation to sqlite3 plugin (#1135 <https://github.com/ros2/rosbag2/issues/1135>) (#1184 <https://github.com/ros2/rosbag2/issues/1184>)
  * Contributors: Daisuke Nishimatsu

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 09 Jan 2023 16:00:00 -0000

ros-humble-ros2bag (0.15.3-1bookworm) bookworm; urgency=high

  * Fix for ros2 bag play exit with non-zero code on SIGINT (#1126 <https://github.com/ros2/rosbag2/issues/1126>) (#1147 <https://github.com/ros2/rosbag2/issues/1147>)
  * Readers/info can accept a single bag storage file, and detect its storage id automatically (#1072 <https://github.com/ros2/rosbag2/issues/1072>) (#1077 <https://github.com/ros2/rosbag2/issues/1077>)
  * Revert "[humble] Backport. Added support for filtering topics via regular expressions (#1034 <https://github.com/ros2/rosbag2/issues/1034>)- (#1039 <https://github.com/ros2/rosbag2/issues/1039>)" (#1069 <https://github.com/ros2/rosbag2/issues/1069>)
  * [humble] Backport. Added support for filtering topics via regular expressions (#1034 <https://github.com/ros2/rosbag2/issues/1034>)- (#1039 <https://github.com/ros2/rosbag2/issues/1039>)
  * Backport. Add use_sim_time option to record verb (#1017 <https://github.com/ros2/rosbag2/issues/1017>)
  * Make unpublished topics unrecorded by default (#968 <https://github.com/ros2/rosbag2/issues/968>) (#1008 <https://github.com/ros2/rosbag2/issues/1008>)
  * Contributors: Esteve Fernandez, Keisuke Shima, Sean Kelly, mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Sun, 06 Nov 2022 16:00:00 -0000

ros-humble-ros2bag (0.15.2-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 10 May 2022 16:00:00 -0000

ros-humble-ros2bag (0.15.1-1bookworm) bookworm; urgency=high

  * support to publish as loaned message (#981 <https://github.com/ros2/rosbag2/issues/981>)
  * Revert "Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)" (#984 <https://github.com/ros2/rosbag2/issues/984>)
  * Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)
  * Contributors: Audrow Nash, Barry Xu, Jorge Perez, Tony Peng

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 05 Apr 2022 16:00:00 -0000

ros-humble-ros2bag (0.15.0-1bookworm) bookworm; urgency=high

  * support to publish as loaned message (#981 <https://github.com/ros2/rosbag2/issues/981>)
  * Revert "Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)" (#984 <https://github.com/ros2/rosbag2/issues/984>)
  * Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)
  * Contributors: Barry Xu, Jorge Perez, Tony Peng

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 04 Apr 2022 16:00:00 -0000

ros-humble-ros2bag (0.14.1-1bookworm) bookworm; urgency=high

  * Bump version number to avoid conflict

